summaryrefslogtreecommitdiff
path: root/maint.mk
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2009-03-21 09:43:56 +0100
committerJim Meyering <meyering@redhat.com>2009-03-21 09:58:43 +0100
commitd1df6ef183a651c82b719c3eef6f81b899109a7e (patch)
tree4a5adea5123bcb58e71a21cf1b4d2e50498ceb97 /maint.mk
parente45c9a02a4506417949fbc3af91c2e9900d35cc6 (diff)
downloadcoreutils-d1df6ef183a651c82b719c3eef6f81b899109a7e.tar.xz
tests: search only files that are under version control
* maint.mk (sc_error_exit_success): Search only files that are under version control. (sc_makefile_path_separator_check): Likewise. Check *.mk files, too, not just Makefile.am files.
Diffstat (limited to 'maint.mk')
-rw-r--r--maint.mk10
1 files changed, 5 insertions, 5 deletions
diff --git a/maint.mk b/maint.mk
index a809a5ff5..54444367a 100644
--- a/maint.mk
+++ b/maint.mk
@@ -153,10 +153,9 @@ sc_prohibit_strcmp:
# Using EXIT_SUCCESS as the first argument to error is misleading,
# since when that parameter is 0, error does not exit. Use `0' instead.
sc_error_exit_success:
- @grep -nF 'error (EXIT_SUCCESS,' \
- $$(find -type f -name '*.[chly]') && \
- { echo '$(ME): found error (EXIT_SUCCESS' 1>&2; \
- exit 1; } || :
+ @grep -nE 'error \(EXIT_SUCCESS,' \
+ $$($(VC_LIST_EXCEPT) | grep -E '\.[chly]$$') && \
+ { echo '$(ME): found error (EXIT_SUCCESS' 1>&2; exit 1; } || :
# `FATAL:' should be fully upper-cased in error messages
# `WARNING:' should be fully upper-cased, or fully lower-cased
@@ -584,7 +583,8 @@ sc_po_check:
# path separator of `:', but rather the automake-provided `$(PATH_SEPARATOR)'.
msg = '$(ME): Do not use `:'\'' above; use $$(PATH_SEPARATOR) instead'
sc_makefile_path_separator_check:
- @grep -n 'PATH=.*:' `find $(srcdir) -name Makefile.am` \
+ @grep -nE 'PATH[=].*:' \
+ $$($(VC_LIST_EXCEPT) | grep -E 'akefile|\.mk$$') \
&& { echo $(msg) 1>&2; exit 1; } || :
# Check that `make alpha' will not fail at the end of the process.